require 'crm_java_search/version'
require 'crm_java_search/config'
require 'crm_java_search/app'
require 'crm_java_search/log'

Dir[File.dirname(__FILE__) + '/crm_java_search/trans/*.rb'].sort.each do |path|
  filename = File.basename(path)
  require "crm_java_search/trans/#{filename}"
end

Dir[File.dirname(__FILE__) + '/crm_java_search/searchers/*.rb'].sort.each do |path|
  filename = File.basename(path)
  require "crm_java_search/searchers/#{filename}"
end

Dir[File.dirname(__FILE__) + '/crm_java_search/checkers/*.rb'].sort.each do |path|
  filename = File.basename(path)
  require "crm_java_search/checkers/#{filename}"
end

Dir[File.dirname(__FILE__) + '/crm_java_search/agents/*.rb'].sort.each do |path|
  filename = File.basename(path)
  require "crm_java_search/agents/#{filename}"
end
