module CrmJavaSearch
  module Searchers
    class CustomerSearcher < BaseSearcher
      def search
        data = Agents::CustomerAgent.repeat_search(:customer, @organization.id, @es_query)["data"]
        if data
          Customer.where(organization_id: @organization.id).where(id: data.map{|datai| datai['id']})
        else
          Customer.none
        end
      end
    end
  end
end
