module CrmJavaSearch
  module Searchers
    class LeadSearcher < BaseSearcher
      def search
        data = Agents::LeadAgent.repeat_search(:lead, @organization.id, @es_query)["data"]
        if data
          Lead.where(organization_id: @organization.id).where(id: data.map{|datai| datai['id']})
        else
          Lead.none
        end
      end
    end
  end
end
