module CrmJavaSearch
  module Searchers
    class ContactSearcher < BaseSearcher
      def search
        data = Agents::ContactAgent.repeat_search(:contact, @organization.id, @es_query)["data"]
        if data
          Contact.where(organization_id: @organization.id).where(id: data.map{|datai| datai['id']})
        else
          Contact.none
        end
      end
    end
  end
end
